/*
	SIMPLE 'HELLO WORLD' PYTHON C EXTENSION
*/

#include <Python.h>

/************************************************************************************/
/* functions */

/* simple function that prints directly to the console (stdout) */
PyObject *helloHello(PyObject *self, PyObject *args)
{
	printf("Hello World!");
    return Py_BuildValue("i", 1);	/* a return value to indicate 'true' */
}


/* function that returns the message as a string */
PyObject *helloHelloString(PyObject *self, PyObject *args)
{
	return Py_BuildValue("s", "Hello World!");
}

/************************************************************************************/

/* Doc strings */
static char MHello__doc__[] = "This is a simple Python C extension example";
static char Hello__doc__[] = "Prints in the console";
static char HelloString__doc__[] = "Returns message as string";


/************************************************************************************/

/* Method declarations */
PyMethodDef helloMethods[] = {
  {"Hello", helloHello, METH_VARARGS, Hello__doc__},
  {"HelloString", helloHelloString, METH_VARARGS, HelloString__doc__},
  {NULL, NULL}
};

/************************************************************************************/

/* module initialization */
void __declspec(dllexport) inithello()
{
	(void)Py_InitModule3("hello", helloMethods, MHello__doc__);
}

